Index: branches/presentation/src/world_entities/projectiles/acid_splash.cc
===================================================================
--- branches/presentation/src/world_entities/projectiles/acid_splash.cc	(revision 10746)
+++ branches/presentation/src/world_entities/projectiles/acid_splash.cc	(revision 10747)
@@ -90,6 +90,6 @@
 void AcidSplash::activate()
 {
-  this->origList = this->getOMListNumber();
-  this->toList(OM_ENVIRON);
+//   this->origList = this->getOMListNumber();
+//   this->toList(OM_ENVIRON);
  // this->unhide();
   this->grid->setVisibility(true);
Index: branches/presentation/src/world_entities/projectiles/hbolt.cc
===================================================================
--- branches/presentation/src/world_entities/projectiles/hbolt.cc	(revision 10746)
+++ branches/presentation/src/world_entities/projectiles/hbolt.cc	(revision 10747)
@@ -48,5 +48,5 @@
   this->loadModel("models/projectiles/hbolt.obj",1.1);
 
-  this->setMinEnergy(10);
+  this->setMinEnergy(7);
   this->setHealthMax(0);
   this->lifeSpan = 3.0;
@@ -96,5 +96,5 @@
 {
   this->halo->setVisibility(true);
-  this->origList = this->getOMListNumber();
+//   this->origList = this->getOMListNumber();
   //this->toList(OM_ENVIRON);
   if (unlikely(HBolt::explosionParticles == NULL))
Index: branches/presentation/src/world_entities/projectiles/lbolt.cc
===================================================================
--- branches/presentation/src/world_entities/projectiles/lbolt.cc	(revision 10746)
+++ branches/presentation/src/world_entities/projectiles/lbolt.cc	(revision 10747)
@@ -99,6 +99,6 @@
 {
   this->halo->setVisibility(true);
-  this->origList = this->getOMListNumber();
-  this->toList(OM_ENVIRON);
+//   this->origList = this->getOMListNumber();
+//   this->toList(OM_ENVIRON);
   if (unlikely(LBolt::explosionParticles == NULL))
   {
Index: branches/presentation/src/world_entities/projectiles/mbolt.cc
===================================================================
--- branches/presentation/src/world_entities/projectiles/mbolt.cc	(revision 10746)
+++ branches/presentation/src/world_entities/projectiles/mbolt.cc	(revision 10747)
@@ -117,6 +117,6 @@
 void MBolt::activate()
 {
-  this->origList = this->getOMListNumber();
-  this->toList(OM_ENVIRON);
+//   this->origList = this->getOMListNumber();
+//   this->toList(OM_ENVIRON);
   if (unlikely(MBolt::explosionParticles == NULL))
   {
Index: branches/presentation/src/world_entities/projectiles/nadion_blast.cc
===================================================================
--- branches/presentation/src/world_entities/projectiles/nadion_blast.cc	(revision 10746)
+++ branches/presentation/src/world_entities/projectiles/nadion_blast.cc	(revision 10747)
@@ -10,6 +10,6 @@
 
    ### File Specific
-   main-programmer: Marc Schaerrer
-   co-programmer: Benjamin Grauer
+   main-programmer: Nicolas Schlumbegrer
+   co-programmer: ..
 
 */
Index: branches/presentation/src/world_entities/projectiles/plasma_pulse.cc
===================================================================
--- branches/presentation/src/world_entities/projectiles/plasma_pulse.cc	(revision 10746)
+++ branches/presentation/src/world_entities/projectiles/plasma_pulse.cc	(revision 10747)
@@ -10,6 +10,6 @@
 
    ### File Specific
-   main-programmer: Marc Schaerrer
-   co-programmer: Benjamin Grauer, Nicolas Schlumberger
+   main-programmer: Nicolas Schlumberger
+   co-programmer: 
 
 */
@@ -40,5 +40,5 @@
 
 
-  this->setMinEnergy(1);
+  this->setMinEnergy(2);
   this->setHealthMax(0);
   this->lifeSpan = 2.0;
@@ -80,5 +80,5 @@
 void PlasmaPulse::activate()
 {
-  this->origList = this->getOMListNumber();
+//   this->origList = this->getOMListNumber();
   this->grid->setVisibility(true);
 //   this->blink->setVisibility(true);
Index: branches/presentation/src/world_entities/projectiles/projectile.h
===================================================================
--- branches/presentation/src/world_entities/projectiles/projectile.h	(revision 10746)
+++ branches/presentation/src/world_entities/projectiles/projectile.h	(revision 10747)
@@ -67,5 +67,5 @@
   protected:
     // energy
-    int		       origList;			//!< FIXME currently a fix around the collision seg fault
+    //int		       origList;			//!< FIXME currently a fix around the collision seg fault
     float                   energyMin;                //!< The minimal Energy a Projectile needs to be emitted.
     bool                    bChargeable;              //!< if the Projectile is Charegeable
Index: branches/presentation/src/world_entities/projectiles/swarm_projectile.cc
===================================================================
--- branches/presentation/src/world_entities/projectiles/swarm_projectile.cc	(revision 10746)
+++ branches/presentation/src/world_entities/projectiles/swarm_projectile.cc	(revision 10747)
@@ -69,6 +69,6 @@
 
 
-  this->origList = this->getOMListNumber();
-  this->toList(OM_ENVIRON);
+//   this->origList = this->getOMListNumber();
+//   this->toList(OM_ENVIRON);
 }
 
@@ -97,5 +97,5 @@
 void SwarmProjectile::activate()
 {
-  this->toList(OM_ENVIRON);
+//   this->toList(OM_ENVIRON);
   if (unlikely(SwarmProjectile::explosionParticles == NULL))
   {
Index: branches/presentation/src/world_entities/weapons/disruptor.cc
===================================================================
--- branches/presentation/src/world_entities/weapons/disruptor.cc	(revision 10746)
+++ branches/presentation/src/world_entities/weapons/disruptor.cc	(revision 10747)
@@ -10,5 +10,5 @@
 
    ### File Specific
-   main-programmer: Marc Schaerrer, Nicolas Schlumberger
+   main-programmer: Nicolas Schlumberger
    co-programmer:
 