Index: code/branches/campaignHS15/data/levels/Campaign1.oxw
===================================================================
--- code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10743)
+++ code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10748)
@@ -45,4 +45,5 @@
         waves = 3
         enemies = 5
+        allies = 5
     ?>
 
@@ -188,6 +189,6 @@
 
     <!-- TODO: fictive unit; to be added later -->
-    <DistanceTrigger name="joinedUnit" position="3500,-1500,0" distance=100 target="SpaceShip" beaconMode="exclude" targetname="NPC" stayactive=true />
-    <Billboard position="3500,-1500,0" amplitude=1 material="Flares/lensflare" colour="1,0,0.05" />     <!-- For debugging puropses -->
+    <DistanceTrigger name="joinedUnit" position="3000,-2000,0" distance=100 target="SpaceShip" beaconMode="exclude" targetname="NPC" stayactive=true />
+    <Billboard position="3000,-1000,0" amplitude=1 material="Flares/lensflare" colour="1,0,0.05" />     <!-- For debugging puropses -->
 
     <EventMultiTrigger name="wave1" activations="1" stayactive="true" delay=4>
@@ -555,5 +556,5 @@
 
     <!-- FPS Player as destination of dock C-->
-    <FpsPlayer team=0 template = "fps" radarname = "First Person Player" position = "0,-2300,1201">
+    <FpsPlayer team=0 template = "fps" rotationaxis="0,0,1" radarname = "First Person Player" position = "0,-2300,1201">
         <attached>
             <DockingTarget name="fpsMode" />
@@ -610,4 +611,41 @@
     ?>
 
+    <!-- Allies, 3000,-2000 -->
+    <?lua
+    for i = 1, allies, 1
+    do
+    x = 3000 + math.cos(2*math.pi/5*(i+1))*100
+    y = -2000 + math.sin(2*math.pi/5*(i+1))*100
+    ?>
+    <SpaceShip visible=false active=false name="allies<?lua print(k)?>" radarname="Ally" position="<?lua print(x)?>,<?lua print(y)?>,<?lua print(math.pow(-1,i)*100) ?>" lookat="0,0,0" team=0>
+        <templates>
+            <Template link="spaceshipassff2" />
+        </templates>
+        <events>
+            <visibility>
+                <EventListener event="dockedA" />
+            </visibility>
+            <activity>
+                <EventListener event="dockedA" />
+            </activity>
+        </events>
+        <attached>
+            <DistanceTriggerBeacon name="NPC" />
+        </attached>
+        <controller>
+            <WaypointPatrolController accuracy=1000 name="allyController" alertnessradius=500 team=0 active=false>
+                <waypoints>
+                    <StaticEntity position="0,0,0" />
+                </waypoints>
+                <events>
+                    <activity>
+                        <EventListener event="joinedUnit" />
+                    </activity>
+                </events>
+            </WaypointPatrolController>
+        </controller>
+    </SpaceShip>
+    <?lua end ?>
+
     <!-- Enemies. Outer loop defines waves, inner loop defines enemies in every wave. -->
     <?lua
@@ -621,5 +659,5 @@
     y = math.sin(math.pi/8*(i+1))*1500
     ?>
-    <SpaceShip visible=false active=flase name="attackers<?lua print(k)?>" radarname="Attacker" position="<?lua print(x)?>,<?lua print(y)?>,<?lua print(math.pow(-1,i)*250) ?>" lookat="0,0,0" team=1>
+    <SpaceShip visible=false active=false name="attackers<?lua print(k)?>" radarname="Attacker" position="<?lua print(x)?>,<?lua print(y)?>,<?lua print(math.pow(-1,i)*250) ?>" lookat="0,0,0" team=1>
         <templates>
             <Template link="spaceshippirate" />
@@ -637,5 +675,5 @@
         </attached>
         <controller>
-            <WaypointPatrolController name="attackController" alertnessradius=50 team=1 active=false>
+            <WaypointPatrolController name="attackController" accuracy=100 alertnessradius=200 team=1 active=false>
                 <waypoints>
                     <Attacher target="transporter" deletewithparent=false />
@@ -652,7 +690,4 @@
     <?lua end ?>
 
-    <Formation>
-
-    </Formation>
 
     <!-- Transporter, starting Point is near A, end Point near B, the circle parameters for the waypoints are: Center = (0, -887, 0), r = 2613 -->