Index: code/branches/explosionChunksHS15/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/explosionChunksHS15/data/levels/emptyLevel.oxw	(revision 10751)
+++ code/branches/explosionChunksHS15/data/levels/emptyLevel.oxw	(revision 10752)
@@ -38,5 +38,7 @@
         <templates>
                       <Template link=spaceshipassff />
-                    </templates>
+        </templates>
+          
+                    
     </SpaceShip>
     <SpaceShip
@@ -47,4 +49,11 @@
                       <Template link=spaceshipassff />
                     </templates>
+                    <explosion>
+
+          <ExplosionPart mesh="ship.mesh" effect="Orxonox/smoke7" />
+          <ExplosionPart mesh="ship.mesh" effect="Orxonox/smoke7" />
+
+        </explosion>
+                    
     </SpaceShip>
     <SpaceShip
@@ -55,4 +64,11 @@
                       <Template link=spaceshipassff />
                     </templates>
+                    <explosion>
+
+          <ExplosionPart mesh="ship.mesh" effect="Orxonox/smoke7" />
+          <ExplosionPart mesh="ship.mesh" effect="Orxonox/smoke7" />
+
+        </explosion>
+                    
     </SpaceShip>
     
Index: code/branches/explosionChunksHS15/data/levels/templates/spaceshipEscort.oxt
===================================================================
--- code/branches/explosionChunksHS15/data/levels/templates/spaceshipEscort.oxt	(revision 10751)
+++ code/branches/explosionChunksHS15/data/levels/templates/spaceshipEscort.oxt	(revision 10752)
@@ -5,5 +5,5 @@
    spawnparticlesource    = "Orxonox/fairytwirl"
    spawnparticleduration  = 3
-   explosionchunks        = 40
+   explosionchunks        = 10
 
    health            = 80
Index: code/branches/explosionChunksHS15/src/orxonox/worldentities/CMakeLists.txt
===================================================================
--- code/branches/explosionChunksHS15/src/orxonox/worldentities/CMakeLists.txt	(revision 10751)
+++ code/branches/explosionChunksHS15/src/orxonox/worldentities/CMakeLists.txt	(revision 10752)
@@ -12,5 +12,5 @@
   SpawnPoint.cc
   TeamSpawnPoint.cc
-  VaydinExplosion.cc
+  ExplosionPart.cc
 )
 
Index: code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.cc
===================================================================
--- code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.cc	(revision 10752)
+++ code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.cc	(revision 10752)
@@ -0,0 +1,112 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Vedat Aydin
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#include "ExplosionPart.h"
+#include "core/XMLPort.h"
+
+
+namespace orxonox
+{
+
+	RegisterClass(ExplosionPart);
+
+	ExplosionPart::ExplosionPart(Context* context) : MovableEntity(context)
+	{
+		RegisterObject(ExplosionPart);
+		this->bStop_ = false;
+        this->LOD_ = LODParticle::Normal;
+		this->mesh_ = "";
+		this->effect_ = "";
+		this->model_= new Model(this->getContext());
+		this->particleInterface_= NULL;
+		this->explosionEntity_ = new MovableEntity(this->getContext());
+
+	}
+
+
+	void ExplosionPart::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+	{
+		SUPER(ExplosionPart, XMLPort, xmlelement, mode);
+
+		XMLPortParam(ExplosionPart, "mesh", setMesh, getMesh, xmlelement, mode);
+		XMLPortParam(ExplosionPart, "effect", setEffect, getEffect, xmlelement, mode);
+
+
+	}
+
+
+	void ExplosionPart::Explode()
+	{
+		orxout() << "Explode" << endl;
+
+		orxout() << getMesh() << endl;
+		orxout() << getEffect() << endl;
+
+		this->explosionEntity_->setSyncMode(0);
+
+		this->model_->setSyncMode(0);
+
+		this->particleInterface_ = new ParticleInterface(this->getScene()->getSceneManager(), effect_, this->LOD_);
+
+		this->model_->attachOgreObject(this->particleInterface_->getParticleSystem());
+
+		this->model_->setMeshSource(mesh_);
+
+		this->explosionEntity_->setVelocity(Vector3(rnd(-1, 1), rnd(-1, 1), rnd(-1, 1))*rnd(50,100));
+        this->explosionEntity_->setAngularVelocity(Vector3(rnd(-1, 1), rnd(-1, 1), rnd(-1, 1)).normalisedCopy() * Degree(400).valueRadians());
+        this->explosionEntity_->setScale(4);
+
+        this->explosionEntity_->attach(model_);
+
+        this->attach(explosionEntity_);
+
+	}
+
+
+
+
+	void ExplosionPart::setMesh(const std::string& newString)
+	{
+		this->mesh_ = newString;
+		orxout() << newString << endl;
+	}
+
+	void ExplosionPart::setEffect(const std::string& newString)
+	{
+		this->effect_ = newString;
+	}
+
+	std::string& ExplosionPart::getMesh()
+	{ return this->mesh_; }
+
+	std::string& ExplosionPart::getEffect()
+	{ return this->effect_; }
+
+
+}
Index: code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.h
===================================================================
--- code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.h	(revision 10752)
+++ code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.h	(revision 10752)
@@ -0,0 +1,79 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Vedat Aydin
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _ExplosionPart_H__
+#define _ExplosionPart_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include "graphics/Model.h"
+#include "tools/ParticleInterface.h"
+#include "MovableEntity.h"
+#include "graphics/ParticleSpawner.h"
+#include "core/CoreIncludes.h"
+#include "core/GameMode.h"
+#include "util/Exception.h"
+#include "core/command/Executor.h"
+#include "Scene.h"
+
+
+ namespace orxonox
+{
+    class _OrxonoxExport ExplosionPart : public MovableEntity
+    {
+        public:
+            ExplosionPart(Context* context);
+            void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            void Explode();
+
+            void setMesh(const std::string& newString);
+            std::string& getMesh();
+            void setEffect(const std::string& newString);
+            std::string& getEffect();
+         
+
+        private:
+
+            bool bStop_;
+            LODParticle::Value LOD_;
+
+
+        	Model* model_;
+        	ParticleInterface* particleInterface_;
+
+        	std::string mesh_;
+        	std::string effect_;
+
+            MovableEntity* explosionEntity_;
+
+        	
+
+    };
+}
+
+#endif /* _ExplosionPart_H__ */
Index: code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10751)
+++ code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10752)
@@ -42,5 +42,5 @@
 #include "worldentities/ExplosionChunk.h"
 #include "worldentities/BigExplosion.h"
-//#include "worldentities/VaydinExplosion.h"
+#include "worldentities/ExplosionPart.h"
 #include "weaponsystem/WeaponSystem.h"
 #include "weaponsystem/WeaponSlot.h"
@@ -86,4 +86,6 @@
         this->aimPosition_ = Vector3::ZERO;
 
+        //this->explosionPartList_ = NULL;
+
         if (GameMode::isMaster())
         {
@@ -144,5 +146,5 @@
         XMLPortObject(Pawn, WeaponPack, "weapons", addWeaponPackXML, getWeaponPack, xmlelement, mode);
 
-        //XMLPortObject(Pawn, VaydinExplosion, "vaydinexplosion", addVaydinExplosion, getVaydinExplosion, xmlelement, mode);
+        XMLPortObject(Pawn, ExplosionPart, "explosion", addExplosionPart, getExplosionPart, xmlelement, mode);
 
         XMLPortParam(Pawn, "reloadrate", setReloadRate, getReloadRate, xmlelement, mode).defaultValues(0);
@@ -385,7 +387,16 @@
         this->setDestroyWhenPlayerLeft(false);
 
-        BigExplosion* chunk = new BigExplosion(this->getContext());
+        /*ExplosionPart* chunk = new ExplosionPart(this->getContext());
         chunk->setPosition(this->getPosition());
         chunk->setVelocity(this->getVelocity());
+        chunk->Explode();*/
+
+        while(!explosionPartList_.empty())
+        {
+            explosionPartList_.back()->setPosition(this->getPosition());
+            explosionPartList_.back()->setVelocity(this->getVelocity());
+            explosionPartList_.back()->Explode();
+            explosionPartList_.pop_back();
+        }
 
         this->explosionSound_->setPosition(this->getPosition());
@@ -497,4 +508,14 @@
             this->spawneffect();
     }
+
+
+    void Pawn::addExplosionPart(ExplosionPart* ePart)
+    {this->explosionPartList_.push_back(ePart);}
+
+
+    ExplosionPart * Pawn::getExplosionPart()
+    {return this->explosionPartList_.back();}
+
+
 
     /* WeaponSystem:
Index: code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.h	(revision 10751)
+++ code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.h	(revision 10752)
@@ -33,7 +33,9 @@
 
 #include <string>
+#include <vector>
 #include "interfaces/PickupCarrier.h"
 #include "interfaces/RadarViewable.h"
 #include "worldentities/ControllableEntity.h"
+#include "worldentities/ExplosionPart.h"
 
 
@@ -147,4 +149,7 @@
             virtual void postSpawn();
 
+            void addExplosionPart(ExplosionPart* ePart);
+            ExplosionPart * getExplosionPart();
+
             void addWeaponSlot(WeaponSlot * wSlot);
             WeaponSlot * getWeaponSlot(unsigned int index) const;
@@ -241,4 +246,6 @@
             unsigned int numexplosionchunks_;
 
+            std::vector<ExplosionPart*> explosionPartList_;
+
         private:
             void registerVariables();
Index: code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 10751)
+++ code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 10752)
@@ -115,4 +115,6 @@
 
         XMLPortObject(SpaceShip, Engine, "engines", addEngine, getEngine, xmlelement, mode);
+
+        
     }
 