Index: de/branches/explosionChunksHS15/src/orxonox/worldentities/VaydinExplosion.cc
===================================================================
--- /code/branches/explosionChunksHS15/src/orxonox/worldentities/VaydinExplosion.cc	(revision 10752)
+++ 	(revision )
@@ -1,114 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Vedat Aydin
- *   Co-authors:
- *      ...
- *
- */
-
-
-#include "VaydinExplosion.h"
-
-#include "util/Exception.h"
-#include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "core/command/Executor.h"
-#include "tools/ParticleInterface.h"
-#include "Scene.h"
-#include "graphics/ParticleSpawner.h"
-#include "graphics/Model.h"
-#include "MovableEntity.h"
-
-
-namespace orxonox
-{
-	RegisterClass(VaydinExplosion);
-
-	VaydinExplosion::VaydinExplosion(Context* context) : MovableEntity(context)
-	{
-		RegisterObject(VaydinExplosion);
-
-		meshList_.clear();
-
-		/*if ( GameMode::showsGraphics() && ( !this->getScene() || !this->getScene()->getSceneManager() ) )
-            ThrowException(AbortLoading, "Can't create VaydinExplosion, no scene or no scene manager given.");
-
-        this->bStop_ = false;
-        this->LOD_ = LODParticle::Normal;
-
-        if ( GameMode::showsGraphics() )
-        {
-
-        	try
-            {
-                
-            }
-            catch (const std::exception& ex)
-            {
-                orxout(internal_error) << "Couldn't load particle effect in VaydinExplosion: " << ex.what() << endl;
-                //this->initZero();
-            }
-            
-        }
-
-        else
-        {
-            
-        }
-
-        if (GameMode::isMaster())
-        {
-
-            this->destroyTimer_.setTimer(rnd(2, 4), false, createExecutor(createFunctor(&VaydinExplosion::stop, this)));
-
-        }*/
-
-        this->registerVariables();
-
-	}
-
-
-
-	void VaydinExplosion::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(VaydinExplosion, XMLPort, xmlelement, mode);
-
-        XMLPortParam(VaydinExplosion, "mesh", setMesh, getMesh, xmlelement, mode);
-        
-    }
-
-
-    void VaydinExplosion::setMesh(&std::string newString)
-    {
-    	this->
-    }
-
-    &std::string VaydinExplosion::getMesh()
-    {}
-
-
-
-
-
-
-}
Index: de/branches/explosionChunksHS15/src/orxonox/worldentities/VaydinExplosion.h
===================================================================
--- /code/branches/explosionChunksHS15/src/orxonox/worldentities/VaydinExplosion.h	(revision 10752)
+++ 	(revision )
@@ -1,56 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Vedat Aydin
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _VaydinExplosion_H__
-#define _VaydinExplosion_H__
-
-#include "OrxonoxPrereqs.h"
-
-#include "tools/Timer.h"
-#include "MovableEntity.h"
-
-
- namespace orxonox
-{
-    class _OrxonoxExport VaydinExplosion : public MovableEntity
-    {
-        public:
-            VaydinExplosion(Context* context);
-            void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-         
-
-        private:
-        	std::vector<std::string> meshList_;
-        	void setMesh(&std::string newString);
-        	&std::string getMesh();
-            
-    };
-}
-
-
-#endif /* _VaydinExplosion_H__ */