Index: code/branches/planetLevelHS15/data/levels/flightTest.oxw
===================================================================
--- code/branches/planetLevelHS15/data/levels/flightTest.oxw	(revision 10755)
+++ 	(revision )
@@ -1,88 +1,0 @@
-<LevelInfo
- name = "Lift Test"
- description = "A level with absolutely nothing in it."
- tags = "test"
- screenshot = "emptylevel.png"
-/>
-
-<?lua
-  include("stats.oxo")
-  include("HUDTemplates3.oxo")
-  include("templates/lodInformation.oxt")
-?>
-
-<?lua
-  include("templates/spaceshipAssff2.oxt")
-  include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipEscort.oxt")
-  include("templates/spaceshipRing.oxt")
-  include("templates/spaceshipSwallow.oxt")
-?>
-
-<Level>
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-<Template name=PortalDefault>
-    <PortalEndPoint>
-        <attached>
-            <Model mesh="Spacegate.mesh" yaw="90"/>
-        </attached>
-    </PortalEndPoint>
-</Template>
-
-<Template name=PortalBig>
-    <PortalEndPoint>
-        <attached>
-            <Billboard material="Portals/Big" />
-        </attached>
-    </PortalEndPoint>
-</Template>
-  <Scene
-    ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/Starbox"
-  >
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="1000,89000,1000" lookat="0,90000,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
-    
-    <Planet
-      position="0,100000,0"
-      scale="5000"
-      collisionType="dynamic"
-      linearDamping="0.8"
-      angularDamping="0"
-      mass="5.9e21"
-      pitch="0"
-      mesh="planets/earth.mesh"
-      atmosphere="atmosphere1"
-      rotationaxis="0,1,0"
-      rotationrate="0.2"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
-      collisiondamage = 2
-      enablecollisiondamage = false
-    >
-      <attached>
-//    <ForceField position="0,0,0" mode="newtonianGravity" diameter="140000" massDiameter="126000" mass="5.9e21" />
-      <PortalEndPoint id="2" distance="5000" target="Pawn" design="PortalEndPoint"/>
-      </attached>
-      <collisionShapes>
-//    <SphereCollisionShape radius="10" position="0,0,0" />
-      </collisionShapes>
-    </Planet>
-
-
-
-
-<PortalEndPoint position="0,0,0" id="1" distance="40" target="Pawn" design="PortalDefault"/>
-<PortalEndPoint position="0,90000,0" id="3" distance="40" target="Pawn" design=""/>
-
-<PortalLink fromID="1" toID="3" />
-<PortalLink fromID="2" toID="1" />   
-
-
-  </Scene>
-</Level>
-
Index: code/branches/planetLevelHS15/data/levels/skyboxTeleport.oxw
===================================================================
--- code/branches/planetLevelHS15/data/levels/skyboxTeleport.oxw	(revision 10756)
+++ code/branches/planetLevelHS15/data/levels/skyboxTeleport.oxw	(revision 10756)
@@ -0,0 +1,101 @@
+<LevelInfo
+ name = "Skybox Teleport"
+ description = "Fly into the planet. Get teleported into a skybox"
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff2.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipEscort.oxt")
+  include("templates/spaceshipRing.oxt")
+  include("templates/spaceshipSwallow.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+<Template name=PortalDefault>
+    <PortalEndPoint>
+        <attached>
+            <Model mesh="Spacegate.mesh" yaw="90"/>
+        </attached>
+    </PortalEndPoint>
+</Template>
+
+<Template name=PortalBig>
+    <PortalEndPoint>
+        <attached>
+            <Billboard material="Portals/Big" />
+        </attached>
+    </PortalEndPoint>
+</Template>
+  <Scene
+    ambientlight = "10, 10, 10"
+    skybox       = "Orxonox/Starbox"
+  >
+
+<!--    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
+    <SpawnPoint team=0 position="0,0,0" lookat="0,90000,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    
+    <Planet
+      position="0,30000,0"
+      scale="20000"
+      collisionType="dynamic"
+      linearDamping="0.8"
+      angularDamping="0"
+      mass="5.9e21"
+      pitch="0"
+      mesh="planets/earth.mesh"
+      atmosphere="atmosphere1"
+      rotationaxis="0,1,0"
+      rotationrate="0.2"
+      atmospheresize="80.0f"
+      imagesize="1024.0f"
+      collisiondamage= 2
+      enablecollisiondamage= false
+    >
+      <attached>
+    <ForceField position="0,0,0" mode="newtonianGravity" diameter="140000" massDiameter="126000" mass="5.9e21" />
+      <PortalEndPoint id="2" distance="20000" target="Pawn" design="PortalEndPoint"/>
+      </attached>
+      <collisionShapes>
+    <SphereCollisionShape radius="10" position="0,0,0" />
+      </collisionShapes>
+    </Planet>
+
+
+
+<StaticEntity position="0,1000000,0" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
+    <attached> 
+        <Model position="0,0,0" mesh="skyboxHoenggerberg.mesh" scale3D="100000,100000,100000" lodLevel="0"/>
+        <PortalEndPoint position="0,0,0" id="1" distance="40" target="Pawn" design="PortalDefault"/>
+        <Light type="point" position="0,0,0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    </attached> 
+</StaticEntity>
+
+
+
+
+
+
+<PortalEndPoint position="1000,0,0" id="3" distance="40" target="Pawn" design=""/>
+
+<PortalLink fromID="1" toID="3" />
+<PortalLink fromID="2" toID="1" />   
+
+
+  </Scene>
+
+
+</Level>
+