Index: code/branches/AI_HS15/src/orxonox/controllers/CommonController.h
===================================================================
--- code/branches/AI_HS15/src/orxonox/controllers/CommonController.h	(revision 10760)
+++ code/branches/AI_HS15/src/orxonox/controllers/CommonController.h	(revision 10761)
@@ -53,4 +53,24 @@
         };
 
+    }
+    //none for a formation flight without attacking, neutral when opponent and this have no 
+    //advantage over each other, offensive when this spotted opponent first,
+    //defensive otherwise
+    namespace ManeuverType
+    {
+        enum Value 
+        { 
+            NONE, NEUTRAL, OFFENSIVE, DEFENCIVE 
+        };
+
+    }
+    //none for a formation flight
+    namespace Maneuver
+    {
+        enum Value
+        {
+            NONE, GUNSD, SCISSORS, COMBATSPREAD, DEFENSIVESPLIT, BREAK, BARRELROLL, SWOOP, IMMELMANN, 
+            WINGOVER, LOWYOYO, HIGHYOYO, LAGDISPLACEMENTROLL
+        };
     }
 
@@ -128,12 +148,19 @@
 
 
+            bool bHasObjectivePosition_;
+            Vector3 objectivePosition_;
+            bool bHasObjectiveOrientation_;
+            Quaternion objectiveOrientation_;
+
             WeakPtr<ControllableEntity> target_;
             bool bShooting_;
+            WeakPtr<ControllableEntity> objectiveTarget_;
+
 
 
             FormationMode::Value formationMode_;
             Rank::Value rank_;
-
-
+            ManeuverType::Value maneuverType_;
+            Maneuver::Value maneuver_;
          
         private:
Index: code/branches/AI_HS15/src/orxonox/controllers/WingmanController.cc
===================================================================
--- code/branches/AI_HS15/src/orxonox/controllers/WingmanController.cc	(revision 10760)
+++ code/branches/AI_HS15/src/orxonox/controllers/WingmanController.cc	(revision 10761)
@@ -49,4 +49,63 @@
 
     }
+    // void WingmanController::chooseManeuver()
+    // {
+    //     if (this->maneuverType_ == ManeuverType::NONE)
+    //     switch (this->maneuverType_ )
+    //     {
+    //         case ManeuverType::NONE:
+    //         {
+
+    //             break;
+    //         }
+    //         case ManeuverType::NEUTRAL:
+    //         {
+
+    //             break;
+    //         }
+    //         case ManeuverType::OFFENSIVE:
+    //         {
+
+    //             break;
+    //         }
+    //         case ManeuverType::DEFENSIVE:
+    //         {
+
+    //             break;
+    //         }
+    //     }
+    //     if (!this->myWingman_)
+    //         return;
+    //     Vector3* targetRelativePositionOfWingman;
+    //     switch (this->formationMode_){
+    //         case FormationMode::WALL:
+    //         {
+    //             targetRelativePositionOfWingman = new Vector3 (-400, 0, 0);  
+    //             break;
+    //         }
+    //         case FormationMode::FINGER4: 
+    //         {
+    //             targetRelativePositionOfWingman = new Vector3 (-400, 0, -200);  
+    //             break;
+    //         }
+    //         case FormationMode::VEE: 
+    //         {
+    //             break;
+    //         }
+    //         case FormationMode::DIAMOND: 
+    //         {
+    //             targetRelativePositionOfWingman = new Vector3 (400, -200, 0);                  
+    //             break;
+    //         }
+    //     }
+    //     Quaternion orient = this->getControllableEntity()->getWorldOrientation();
+        
+    //     Vector3 targetAbsolutePositionOfWingman = ((this->getControllableEntity()->getWorldPosition()) + 
+    //     (this->getControllableEntity()->getWorldOrientation()* (*targetRelativePositionOfWingman)));
+        
+    //     myWingman_->setTargetOrientation(orient);
+    //     myWingman_->setTargetPosition(targetAbsolutePositionOfWingman);
+       
+    // }
 
     void WingmanController::tick(float dt)
@@ -63,7 +122,14 @@
             return;
         //--------------------------Stay in formation--------------------------
+        if (!this->target_)
+        {
+            //stay in formation
+        }
+        else
+        {
+            
+        }
         if (this->bHasTargetPosition_)
         {
-            //targetPosition_ and targetOrientation_ are set by the Leader in its action()
             this->moveToTargetPosition();
         } 