Index: /branches/presentation/src/world_entities/projectiles/mbolt.cc
===================================================================
--- /branches/presentation/src/world_entities/projectiles/mbolt.cc	(revision 10762)
+++ /branches/presentation/src/world_entities/projectiles/mbolt.cc	(revision 10763)
@@ -52,7 +52,4 @@
   this->loadModel("models/projectiles/mbolt.obj",4);
 
-
-  //this->loadModel("models/projectiles/laser.obj");
-
   this->setMinEnergy(4);
   this->setHealthMax(0);
@@ -60,5 +57,4 @@
   this->angle     = 0;
 
-  //this->emitter = new DotEmitter(1000, 0, 0);
   this->emitter = new DotEmitter(50, 0, 0);
   this->emitter->setParent(this);
@@ -69,5 +65,4 @@
 
   this->mat = new Material("mBolt");
-  //this->mat->setBlendFunc(GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
   this->mat->setBlendFunc(GL_SRC_ALPHA,GL_ONE);
   this->mat->setDiffuse(1,1,1);
@@ -82,9 +77,7 @@
 
   this->trail = new Trail(6, 4, .1, this);
-  //this->trail->setParent( this);
   this->trail->setTexture( "textures/laser.png");
-//   this->trail->setAbsCoor(this->getAbsCoor() - Vector(.7,0,0));
   this->trail->setAbsCoor(this->getAbsCoor() - this->getVelocity().getNormalized() * .7);
-  
+
   this->obbTree = new OBBTree();
   this->obbTree->createBox(Vector(0.0f, 0.0f, 0.0f), Vector(1.0f, 1.0f, 1.0f));
@@ -117,6 +110,4 @@
 void MBolt::activate()
 {
-//   this->origList = this->getOMListNumber();
-//   this->toList(OM_ENVIRON);
   if (unlikely(MBolt::explosionParticles == NULL))
   {
@@ -154,4 +145,5 @@
   MBolt::fastFactory->kill(this);
 }
+  // HACK direction AbsDir calulation 
 
 void MBolt::hit (float damage, WorldEntity* entity )
@@ -161,6 +153,5 @@
     this->destroy( entity );
   this->hitEntity = entity;
- // dynamic_cast<SpaceShip*>(entity)->damage(this->getPhysDamage(),this->getElecDamage());
-  //this->destroy(this);
+
   this->deactivate();
 
@@ -175,5 +166,4 @@
 void MBolt::tick (float dt)
 {
-  //Vector v = *this->flightDirection * ( this->speed * time * 1000 + 0.1);
   Vector v = this->velocity * dt;
   this->shiftCoor(v);
@@ -191,5 +181,4 @@
 void MBolt::destroy (WorldEntity* killer)
 {
-  //this->deactivate();
   Projectile::destroy( killer );
   PRINTF(5)("DESTROY MBolt\n");
Index: /branches/presentation/src/world_entities/projectiles/plasma_pulse.cc
===================================================================
--- /branches/presentation/src/world_entities/projectiles/plasma_pulse.cc	(revision 10762)
+++ /branches/presentation/src/world_entities/projectiles/plasma_pulse.cc	(revision 10763)
@@ -134,6 +134,6 @@
   glPushMatrix();
   glPushAttrib(GL_ENABLE_BIT);
-    glEnable( GL_ALPHA_TEST);
-    glAlphaFunc( GL_GEQUAL, .5);
+//     glEnable( GL_ALPHA_TEST);
+//     glAlphaFunc( GL_GEQUAL, .5);
     this->grid->draw();
 //     this->blink->draw();
Index: /branches/presentation/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/presentation/src/world_entities/space_ships/space_ship.cc	(revision 10762)
+++ /branches/presentation/src/world_entities/space_ships/space_ship.cc	(revision 10763)
@@ -264,5 +264,6 @@
   this->weaponMan.getFixedTarget()->setParent(this);
   this->weaponMan.getFixedTarget()->setRelCoor(100000,0,0);
-
+  this->weaponMan.setRotationSpeed(0);
+//   this->weaponMan.hideCrosshair();
 
   this->secWeaponMan.getFixedTarget()->setParent(this);
@@ -338,8 +339,4 @@
   LoadParam(root, "loadReactor", this, SpaceShip, loadReactor)
   .describe("set reactor output");
-  LoadParam(root, "loadShield", this, WorldEntity, loadShield)
-  .describe("set shield parameters: current strenght , max strenght, threshhold value (0..1), regeneration rate");
-//   LoadParam(root, "loadHealth", this, WorldEntity, loadHealth)
-//   .describe("set armor/health parameters: current strenght , max strenght");
   LoadParam(root, "loadElectronic", this, WorldEntity, loadElectronic)
   .describe("set electronics parameters: current strenght , max strenght, threshhold value (0..1), regeneration rate");
Index: /branches/presentation/src/world_entities/weapons/nadion_laser.cc
===================================================================
--- /branches/presentation/src/world_entities/weapons/nadion_laser.cc	(revision 10762)
+++ /branches/presentation/src/world_entities/weapons/nadion_laser.cc	(revision 10763)
@@ -10,5 +10,5 @@
 
    ### File Specific
-   main-programmer: Marc Schaerrer, Nicolas Schlumberger
+   main-programmer: Nicolas Schlumberger
    co-programmer:
 
@@ -54,5 +54,5 @@
 NadionLaser::~NadionLaser()
 {
-      // model will be deleted from WorldEntity-destructor
+  // model will be deleted from WorldEntity-destructor
   for (int i = 0; i < this->getBarrels(); i++)
   {
@@ -73,5 +73,5 @@
   this->loadModel("models/guns/nadion_laser.obj", this->getScaling());
 
-  this->setStateDuration(WS_SHOOTING, 0.1666);   // 6 Schuss pro Sekunde
+  this->setStateDuration(WS_SHOOTING, 0.1666);   // 6 shots per second
 
   this->setStateDuration(WS_RELOADING, 0);
Index: /branches/presentation/src/world_entities/world_entity.cc
===================================================================
--- /branches/presentation/src/world_entities/world_entity.cc	(revision 10762)
+++ /branches/presentation/src/world_entities/world_entity.cc	(revision 10763)
@@ -195,4 +195,6 @@
   LoadParam(root, "loadHealth", this, WorldEntity, loadHealth)
       .describe("set armor/health parameters: current strenght , max strenght");
+  LoadParam(root, "loadShield", this, WorldEntity, loadShield)
+      .describe("set shield parameters: current strenght , max strenght, threshhold value (0..1), regeneration rate");
 }
 