Index: code/branches/cpp11_v2/test/core/class/IdentifiableTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/class/IdentifiableTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/class/IdentifiableTest.cc	(revision 10765)
@@ -37,5 +37,5 @@
     {
         IdentifiableClass* test = new IdentifiableClass();
-        ASSERT_TRUE(test != NULL);
+        ASSERT_TRUE(test != nullptr);
         delete test;
     }
Index: code/branches/cpp11_v2/test/core/class/IdentifierClassHierarchyTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/class/IdentifierClassHierarchyTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/class/IdentifierClassHierarchyTest.cc	(revision 10765)
@@ -144,5 +144,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
Index: code/branches/cpp11_v2/test/core/class/IdentifierExternalClassHierarchyTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/class/IdentifierExternalClassHierarchyTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/class/IdentifierExternalClassHierarchyTest.cc	(revision 10765)
@@ -51,5 +51,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
Index: code/branches/cpp11_v2/test/core/class/IdentifierNestedClassHierarchyTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/class/IdentifierNestedClassHierarchyTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/class/IdentifierNestedClassHierarchyTest.cc	(revision 10765)
@@ -111,5 +111,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
Index: code/branches/cpp11_v2/test/core/class/IdentifierSimpleClassHierarchyTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/class/IdentifierSimpleClassHierarchyTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/class/IdentifierSimpleClassHierarchyTest.cc	(revision 10765)
@@ -53,5 +53,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
Index: code/branches/cpp11_v2/test/core/class/IdentifierTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/class/IdentifierTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/class/IdentifierTest.cc	(revision 10765)
@@ -46,5 +46,5 @@
 
         Identifier* identifier = Class(TestClass);
-        EXPECT_TRUE(identifier != NULL);
+        EXPECT_TRUE(identifier != nullptr);
     }
 
@@ -54,5 +54,5 @@
 
         Identifier* identifier = Class(TestSubclass);
-        EXPECT_TRUE(identifier != NULL);
+        EXPECT_TRUE(identifier != nullptr);
     }
 
Index: code/branches/cpp11_v2/test/core/class/OrxonoxClassTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/class/OrxonoxClassTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/class/OrxonoxClassTest.cc	(revision 10765)
@@ -19,5 +19,5 @@
                 {
                     new IdentifierManager();
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
@@ -33,5 +33,5 @@
     {
         TestClass* test = new TestClass();
-        ASSERT_TRUE(test != NULL);
+        ASSERT_TRUE(test != nullptr);
         delete test;
     }
Index: code/branches/cpp11_v2/test/core/class/OrxonoxInterfaceTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/class/OrxonoxInterfaceTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/class/OrxonoxInterfaceTest.cc	(revision 10765)
@@ -34,5 +34,5 @@
                 {
                     new IdentifierManager();
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
@@ -48,5 +48,5 @@
     {
         TestClass1* test = new TestClass1();
-        ASSERT_TRUE(test != NULL);
+        ASSERT_TRUE(test != nullptr);
         delete test;
     }
@@ -55,5 +55,5 @@
     {
         TestClass2* test = new TestClass2();
-        ASSERT_TRUE(test != NULL);
+        ASSERT_TRUE(test != nullptr);
         delete test;
     }
Index: code/branches/cpp11_v2/test/core/class/SubclassIdentifierTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/class/SubclassIdentifierTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/class/SubclassIdentifierTest.cc	(revision 10765)
@@ -13,5 +13,5 @@
         {
             public:
-                TestClass(Context* context = NULL) { RegisterObject(TestClass); }
+                TestClass(Context* context = nullptr) { RegisterObject(TestClass); }
         };
 
@@ -19,5 +19,5 @@
         {
             public:
-                TestSubclass(Context* context = NULL) { RegisterObject(TestSubclass); }
+                TestSubclass(Context* context = nullptr) { RegisterObject(TestSubclass); }
         };
 
@@ -33,5 +33,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
@@ -77,6 +77,6 @@
         subclassIdentifier = Class(TestSubclass);
 
-        TestClass* instance = subclassIdentifier.fabricate(NULL);
-        ASSERT_TRUE(instance != NULL);
+        TestClass* instance = subclassIdentifier.fabricate(nullptr);
+        ASSERT_TRUE(instance != nullptr);
         EXPECT_EQ(Class(TestSubclass), instance->getIdentifier());
         delete instance;
Index: code/branches/cpp11_v2/test/core/class/SuperTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/class/SuperTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/class/SuperTest.cc	(revision 10765)
@@ -14,5 +14,5 @@
         {
             public:
-                TestClass(Context* context = NULL) : BaseObject(context), changedNameBase_(false), xmlPortBase_(false), modeBase_(XMLPort::NOP)
+                TestClass(Context* context = nullptr) : BaseObject(context), changedNameBase_(false), xmlPortBase_(false), modeBase_(XMLPort::NOP)
                 {
                     RegisterObject(TestClass);
@@ -38,5 +38,5 @@
         {
             public:
-                TestSubclass(Context* context = NULL) : TestClass(context), changedNameSubclass_(false), xmlPortSubclass_(false), modeSubclass_(XMLPort::NOP)
+                TestSubclass(Context* context = nullptr) : TestClass(context), changedNameSubclass_(false), xmlPortSubclass_(false), modeSubclass_(XMLPort::NOP)
                 {
                     RegisterObject(TestSubclass);
@@ -74,5 +74,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
@@ -132,5 +132,5 @@
         EXPECT_EQ(XMLPort::NOP, test.modeSubclass_);
 
-        Element* element = NULL;
+        Element* element = nullptr;
         test.XMLPort(*element, XMLPort::SaveObject);
 
Index: code/branches/cpp11_v2/test/core/command/CommandTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/command/CommandTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/command/CommandTest.cc	(revision 10765)
@@ -143,5 +143,5 @@
                     new ConsoleCommandManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::CONSOLE_COMMAND);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
Index: code/branches/cpp11_v2/test/core/object/ClassFactoryTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/ClassFactoryTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/object/ClassFactoryTest.cc	(revision 10765)
@@ -18,5 +18,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
@@ -33,8 +33,8 @@
     {
         Factory* factory = new ClassFactoryWithContext<BaseObject>();
-        Identifiable* object = factory->fabricate(NULL);
-        ASSERT_TRUE(object != NULL);
+        Identifiable* object = factory->fabricate(nullptr);
+        ASSERT_TRUE(object != nullptr);
         BaseObject* baseObject = dynamic_cast<BaseObject*>(object);
-        EXPECT_TRUE(baseObject != NULL);
+        EXPECT_TRUE(baseObject != nullptr);
         delete object;
         // don't delete factory - it remains in the identifier
Index: code/branches/cpp11_v2/test/core/object/ContextTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/ContextTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/object/ContextTest.cc	(revision 10765)
@@ -12,5 +12,5 @@
         {
             public:
-                SubclassContext() : Context(NULL) { RegisterObject(SubclassContext); }
+                SubclassContext() : Context(nullptr) { RegisterObject(SubclassContext); }
         };
 
@@ -25,5 +25,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
@@ -39,5 +39,5 @@
     TEST_F(ContextTest, CanCreateContext)
     {
-        Context context(NULL);
+        Context context(nullptr);
     }
 
@@ -49,5 +49,5 @@
     TEST_F(ContextTest, ContextIsItsOwnContext)
     {
-        Context context(NULL);
+        Context context(nullptr);
         EXPECT_EQ(&context, context.getContext());
     }
@@ -68,5 +68,5 @@
     TEST_F(ContextTest, ContextIsAddedToItsOwnObjectList)
     {
-        Context context(NULL);
+        Context context(nullptr);
         ASSERT_EQ(1u, context.getObjectList<Context>()->size());
         EXPECT_TRUE(context.getObjectList<Context>()->begin()->objectBase_ == static_cast<Listable*>(&context));
@@ -75,5 +75,5 @@
     TEST_F(ContextTest, ContextIsAddedToObjectListOfBaseContext)
     {
-        Context baseContext(NULL);
+        Context baseContext(nullptr);
         Context subContext(&baseContext);
 
Index: code/branches/cpp11_v2/test/core/object/DestroyableTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/DestroyableTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/object/DestroyableTest.cc	(revision 10765)
@@ -32,5 +32,5 @@
         DestroyableTest* test = new DestroyableTest(destroyed);
         EXPECT_FALSE(destroyed);
-        EXPECT_TRUE(test != NULL);
+        EXPECT_TRUE(test != nullptr);
         test->destroy();
         EXPECT_TRUE(destroyed);
Index: code/branches/cpp11_v2/test/core/object/IteratorTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/IteratorTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/object/IteratorTest.cc	(revision 10765)
@@ -36,5 +36,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
@@ -120,5 +120,5 @@
             ++i;
             if (i == 1u) EXPECT_EQ(&testClass, *it);
-            if (i == 2u) EXPECT_EQ(NULL, *it);
+            if (i == 2u) EXPECT_EQ(nullptr, *it);
         }
         EXPECT_EQ(2u, i);
Index: code/branches/cpp11_v2/test/core/object/ListableTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/ListableTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/object/ListableTest.cc	(revision 10765)
@@ -41,5 +41,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
@@ -56,5 +56,5 @@
     {
         ListableClassTest* test = new ListableClassTest();
-        ASSERT_TRUE(test != NULL);
+        ASSERT_TRUE(test != nullptr);
         delete test;
     }
@@ -104,5 +104,5 @@
     TEST_F(ListableTest, CanAddObjectToContext)
     {
-        Context context(NULL);
+        Context context(nullptr);
         ListableSubclassTest test;
 
@@ -118,5 +118,5 @@
     TEST_F(ListableTest, CanAddObjectToSubContext)
     {
-        Context baseContext(NULL);
+        Context baseContext(nullptr);
         Context subContext(&baseContext);
         ListableSubclassTest test;
@@ -139,5 +139,5 @@
     {
         Context* rootContext = Context::getRootContext();
-        Context newContext(NULL);
+        Context newContext(nullptr);
         ListableSubclassTest test;
 
Index: code/branches/cpp11_v2/test/core/object/ObjectListBaseTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/ObjectListBaseTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/object/ObjectListBaseTest.cc	(revision 10765)
@@ -24,5 +24,5 @@
     {
         ObjectListBase list;
-        ObjectListBaseElement* element = new ObjectListElement<Listable>(NULL);
+        ObjectListBaseElement* element = new ObjectListElement<Listable>(nullptr);
         list.addElement(element);
         EXPECT_EQ(1u, list.size());
@@ -32,5 +32,5 @@
     {
         ObjectListBase list;
-        ObjectListBaseElement* element = new ObjectListElement<Listable>(NULL);
+        ObjectListBaseElement* element = new ObjectListElement<Listable>(nullptr);
         list.addElement(element);
         EXPECT_EQ(1u, list.size());
@@ -43,5 +43,5 @@
     {
         ObjectListBase list;
-        list.addElement(new ObjectListElement<Listable>(NULL));
+        list.addElement(new ObjectListElement<Listable>(nullptr));
         EXPECT_EQ(1u, list.size());
     }
@@ -52,13 +52,13 @@
         EXPECT_EQ(0u, list.size());
         {
-            ObjectListElement<Listable> element1(NULL);
+            ObjectListElement<Listable> element1(nullptr);
             list.addElement(&element1);
             EXPECT_EQ(1u, list.size());
             {
-                ObjectListElement<Listable> element1(NULL);
+                ObjectListElement<Listable> element1(nullptr);
                 list.addElement(&element1);
                 EXPECT_EQ(2u, list.size());
                 {
-                    ObjectListElement<Listable> element1(NULL);
+                    ObjectListElement<Listable> element1(nullptr);
                     list.addElement(&element1);
                     EXPECT_EQ(3u, list.size());
@@ -76,5 +76,5 @@
         ObjectListElementRemovalListenerMock listener;
         list.registerRemovalListener(&listener);
-        ObjectListBaseElement* element = new ObjectListElement<Listable>(NULL);
+        ObjectListBaseElement* element = new ObjectListElement<Listable>(nullptr);
         list.addElement(element);
         EXPECT_CALL(listener, removedElement(element));
Index: code/branches/cpp11_v2/test/core/object/ObjectListIteratorTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/ObjectListIteratorTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/object/ObjectListIteratorTest.cc	(revision 10765)
@@ -36,5 +36,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
Index: code/branches/cpp11_v2/test/core/object/ObjectListTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/ObjectListTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/object/ObjectListTest.cc	(revision 10765)
@@ -28,5 +28,5 @@
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
Index: code/branches/cpp11_v2/test/core/object/StrongPtrTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/StrongPtrTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/object/StrongPtrTest.cc	(revision 10765)
@@ -111,8 +111,8 @@
     void isNull(const StrongPtr<DestroyableTest> strongPtr)
     {
-        EXPECT_TRUE(strongPtr == NULL);
+        EXPECT_TRUE(strongPtr == nullptr);
         EXPECT_TRUE(strongPtr == 0);
         EXPECT_TRUE(!strongPtr);
-        EXPECT_FALSE(strongPtr != NULL);
+        EXPECT_FALSE(strongPtr != nullptr);
         EXPECT_FALSE(strongPtr != 0);
         EXPECT_FALSE(strongPtr);
@@ -126,10 +126,10 @@
         }
         {
-            StrongPtr<DestroyableTest> strongPtr = NULL;
+            StrongPtr<DestroyableTest> strongPtr = nullptr;
             isNull(strongPtr);
         }
         {
             StrongPtr<DestroyableTest> strongPtr;
-            strongPtr = NULL;
+            strongPtr = nullptr;
             isNull(strongPtr);
         }
@@ -150,8 +150,8 @@
         DestroyableTest* test = new DestroyableTest(destroyed);
         StrongPtr<DestroyableTest> strongPtr = test;
-        EXPECT_FALSE(strongPtr == NULL);
+        EXPECT_FALSE(strongPtr == nullptr);
         EXPECT_FALSE(strongPtr == 0);
         EXPECT_FALSE(!strongPtr);
-        EXPECT_TRUE(strongPtr != NULL);
+        EXPECT_TRUE(strongPtr != nullptr);
         EXPECT_TRUE(strongPtr != 0);
         EXPECT_TRUE(strongPtr);
@@ -166,5 +166,5 @@
         // default
         StrongPtr<DestroyableTest> strongPtr1;
-        EXPECT_EQ(NULL, strongPtr1.get());
+        EXPECT_EQ(nullptr, strongPtr1.get());
 
         // pointer
@@ -277,5 +277,5 @@
         EXPECT_EQ(1u, test->getReferenceCount());
         strongPtr.reset();
-        EXPECT_EQ(NULL, strongPtr.get());
+        EXPECT_EQ(nullptr, strongPtr.get());
         EXPECT_EQ(0u, test->getReferenceCount());
 
Index: code/branches/cpp11_v2/test/core/object/WeakPtrTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/WeakPtrTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/object/WeakPtrTest.cc	(revision 10765)
@@ -36,5 +36,5 @@
         EXPECT_EQ(test, weakPtr.get());
         test->destroy();
-        EXPECT_EQ(NULL, weakPtr.get());
+        EXPECT_EQ(nullptr, weakPtr.get());
     }
 
@@ -49,7 +49,7 @@
         EXPECT_EQ(test, weakPtr3.get());
         test->destroy();
-        EXPECT_EQ(NULL, weakPtr1.get());
-        EXPECT_EQ(NULL, weakPtr2.get());
-        EXPECT_EQ(NULL, weakPtr3.get());
+        EXPECT_EQ(nullptr, weakPtr1.get());
+        EXPECT_EQ(nullptr, weakPtr2.get());
+        EXPECT_EQ(nullptr, weakPtr3.get());
     }
 
@@ -66,8 +66,8 @@
     void isNull(const WeakPtr<DestroyableTest> weakPtr)
     {
-        EXPECT_TRUE(weakPtr == NULL);
+        EXPECT_TRUE(weakPtr == nullptr);
         EXPECT_TRUE(weakPtr == 0);
         EXPECT_TRUE(!weakPtr);
-        EXPECT_FALSE(weakPtr != NULL);
+        EXPECT_FALSE(weakPtr != nullptr);
         EXPECT_FALSE(weakPtr != 0);
         EXPECT_FALSE(weakPtr);
@@ -81,10 +81,10 @@
         }
         {
-            WeakPtr<DestroyableTest> weakPtr = NULL;
+            WeakPtr<DestroyableTest> weakPtr = nullptr;
             isNull(weakPtr);
         }
         {
             WeakPtr<DestroyableTest> weakPtr;
-            weakPtr = NULL;
+            weakPtr = nullptr;
             isNull(weakPtr);
         }
@@ -104,8 +104,8 @@
         DestroyableTest* test = new DestroyableTest();
         WeakPtr<DestroyableTest> weakPtr = test;
-        EXPECT_FALSE(weakPtr == NULL);
+        EXPECT_FALSE(weakPtr == nullptr);
         EXPECT_FALSE(weakPtr == 0);
         EXPECT_FALSE(!weakPtr);
-        EXPECT_TRUE(weakPtr != NULL);
+        EXPECT_TRUE(weakPtr != nullptr);
         EXPECT_TRUE(weakPtr != 0);
         EXPECT_TRUE(weakPtr);
@@ -119,5 +119,5 @@
         // default
         WeakPtr<DestroyableTest> weakPtr1;
-        EXPECT_EQ(NULL, weakPtr1.get());
+        EXPECT_EQ(nullptr, weakPtr1.get());
 
         // pointer
@@ -191,7 +191,7 @@
         test->destroy();
 
-        EXPECT_EQ(NULL, vector[0].get());
-        EXPECT_EQ(NULL, vector[1].get());
-        EXPECT_EQ(NULL, vector[2].get());
+        EXPECT_EQ(nullptr, vector[0].get());
+        EXPECT_EQ(nullptr, vector[1].get());
+        EXPECT_EQ(nullptr, vector[2].get());
     }
 
@@ -202,5 +202,5 @@
         EXPECT_EQ(test, weakPtr.get());
         weakPtr.reset();
-        EXPECT_EQ(NULL, weakPtr.get());
+        EXPECT_EQ(nullptr, weakPtr.get());
 
         test->destroy();
Index: code/branches/cpp11_v2/test/core/singleton/ScopeTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/singleton/ScopeTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/core/singleton/ScopeTest.cc	(revision 10765)
@@ -32,5 +32,5 @@
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::SCOPED_SINGLETON_WRAPPER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
Index: code/branches/cpp11_v2/test/util/SharedPtrTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/SharedPtrTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/util/SharedPtrTest.cc	(revision 10765)
@@ -192,5 +192,5 @@
         // default
         SharedPtr<TestChildClass> sharedPtr1;
-        EXPECT_EQ(NULL, sharedPtr1.get());
+        EXPECT_EQ(nullptr, sharedPtr1.get());
 
         // pointer
@@ -221,5 +221,5 @@
         // default
         SharedPtr<TestChildClass> sharedPtr1;
-        EXPECT_EQ(NULL, sharedPtr1.get());
+        EXPECT_EQ(nullptr, sharedPtr1.get());
 
         // pointer
Index: code/branches/cpp11_v2/test/util/SingletonTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/SingletonTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/util/SingletonTest.cc	(revision 10765)
@@ -23,5 +23,5 @@
         };
 
-        TestSingleton* TestSingleton::singletonPtr_s = NULL;
+        TestSingleton* TestSingleton::singletonPtr_s = nullptr;
         const size_t TestSingleton::MAGIC_VALUE = 0xCAFEBABE;
     }
Index: code/branches/cpp11_v2/test/util/output/ConsoleWriterTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/output/ConsoleWriterTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/util/output/ConsoleWriterTest.cc	(revision 10765)
@@ -27,5 +27,5 @@
     TEST_F(ConsoleWriterTest, Disable)
     {
-        std::ostream stream(NULL);
+        std::ostream stream(nullptr);
         EXPECT_EQ(0U, OutputManager::getInstance().getListeners().size());
         ConsoleWriter writer(stream);
@@ -37,5 +37,5 @@
     TEST_F(ConsoleWriterTest, Enable)
     {
-        std::ostream stream(NULL);
+        std::ostream stream(nullptr);
         ConsoleWriter writer(stream);
         writer.disable();
Index: code/branches/cpp11_v2/test/util/output/OutputManagerTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/output/OutputManagerTest.cc	(revision 10744)
+++ code/branches/cpp11_v2/test/util/output/OutputManagerTest.cc	(revision 10765)
@@ -54,7 +54,7 @@
     TEST(OutputManagerTest, GetInstanceDoesNotCreateDefaultListeners)
     {
-        EXPECT_TRUE(NULL == OutputManager::getInstance().getMemoryWriter());
-        EXPECT_TRUE(NULL == OutputManager::getInstance().getConsoleWriter());
-        EXPECT_TRUE(NULL == OutputManager::getInstance().getLogWriter());
+        EXPECT_TRUE(nullptr == OutputManager::getInstance().getMemoryWriter());
+        EXPECT_TRUE(nullptr == OutputManager::getInstance().getConsoleWriter());
+        EXPECT_TRUE(nullptr == OutputManager::getInstance().getLogWriter());
     }
 
@@ -62,7 +62,7 @@
     TEST(OutputManagerTest, GetInstanceAndCreateListenersCreatesDefaultListeners)
     {
-        EXPECT_TRUE(NULL != OutputManager::getInstanceAndCreateListeners().getMemoryWriter());
-        EXPECT_TRUE(NULL != OutputManager::getInstanceAndCreateListeners().getConsoleWriter());
-        EXPECT_TRUE(NULL != OutputManager::getInstanceAndCreateListeners().getLogWriter());
+        EXPECT_TRUE(nullptr != OutputManager::getInstanceAndCreateListeners().getMemoryWriter());
+        EXPECT_TRUE(nullptr != OutputManager::getInstanceAndCreateListeners().getConsoleWriter());
+        EXPECT_TRUE(nullptr != OutputManager::getInstanceAndCreateListeners().getLogWriter());
     }
 